#' Apply restoration action to calculations

#' @param curr_value current value of parameter affected by restoration action
#' @param nat_potential_value natural potential value of parameter affected by restoration action
#' @param rest percent of reach or other spatial unit targeted by restoration action
#' @param intensity intensity with which restoration action is applied
#' @export

apply_rest_action <- function(curr_value,
                              nat_potential_value,
                              rest,
                              intensity) {
  curr_value + ((nat_potential_value - curr_value) * rest * intensity)

}

