# Spawning----------------------------------------------------------------------
fecundity = 2500
redd_area = 6
adult_per_redd = 1.6

# Rearing ----------------------------------------------------------------------

# Capacity
density <- tribble(~Habitat, ~summer, ~winter,
                   "Bank", 19600, 3200,
                   "HM_Bank", 9600, 0,
                   "Bar_boulder", 0, 0,
                   "Bar_gravel", 0, 0,
                   "Bar_sand", 0, 0,
                   "Backwater", 18600, 6400,
                   "Pool", 17000, 4000,
                   "Riffle", 3000, 100,
                   "Beaver.Pond", 12000, 12000,
                   "FP_Channel", 0, 0,
                   "Lake", 0, 25,
                   "Marsh", 0, 3200,
                   "FP_Pond_lg", 9000, 9000,
                   "FP_Pond_sm", 18000, 18000,
                   "SC_pool", 17000, 4000,
                   "SC_riffle", 3000, 100,
                   "Slough_lg", 9000, 9000,
                   "Slough_sm", 18000, 18000) %>%
  pivot_longer(cols = summer:winter,
               names_to = 'life.stage',
               values_to = 'density')

# Productivity
surv_summer <- tribble(~Habitat, ~surv_base, ~wood_surv_base,
                       "Bank", .84, .84,
                       "HM_Bank", .84, .84,
                       "Bar_boulder", .84, .84,
                       "Bar_gravel", .84, .84,
                       "Bar_sand", .84, .84,
                       "Backwater", .84, .84,
                       "Pool", .84, .9,
                       "Riffle", .84, .9,
                       "Beaver.Pond", .84, .84,
                       "FP_Channel", .84, .84,
                       "Lake", .84, .84,
                       "Marsh", .84, .84,
                       "FP_Pond_lg", .84, .84,
                       "FP_Pond_sm", .84, .84,
                       "SC_pool", .84, .9,
                       "SC_riffle", .84, .9,
                       "Slough_lg", .84, .84,
                       "Slough_sm", .84, .84) %>%
  mutate(life.stage = 'summer')

surv_winter <- tribble(~Habitat, ~surv_base, ~wood_surv_base,
                       "Bank", .35, .35,
                       "HM_Bank", .35, .35,
                       "Bar_boulder", .35, .35,
                       "Bar_gravel", .35, .35,
                       "Bar_sand", .35, .35,
                       "Backwater", .35, .35,
                       "Pool", .35, .58,
                       "Riffle", .35, .58,
                       "Beaver.Pond", .78, .78,
                       "FP_Channel", .4, .4,
                       "Lake", .4, .4,
                       "Marsh", .78, .78,
                       "FP_Pond_lg", .78, .78,
                       "FP_Pond_sm", .78, .78,
                       "SC_pool", .35, .58,
                       "SC_riffle", .35, .58,
                       "Slough_lg", .4, .4,
                       "Slough_sm", .4, .4) %>%
  mutate(life.stage = 'winter')


survival <- bind_rows(surv_summer, surv_winter)

# Wood multipliers for large river ---------------------------------------------
# Summer
lr_wd_s_bank <- 1.2
lr_wd_s_bar <- 1.02

# Winter
lr_wd_w_bank <- 1.21
lr_wd_w_bar <- 1.09

# Prespawn survival ------------------------------------------------------------
prespawn_surv_raw <- .95


params_hab_coho <- dplyr::lst(fecundity,
                              redd_area,
                              adult_per_redd,
                              density,
                              survival,
                              lr_wd_s_bank,
                              lr_wd_s_bar,
                              lr_wd_w_bank,
                              lr_wd_w_bar,
                              prespawn_surv_raw)
