# Spawning ---------------------------------------------------------------------
fecundity = 5400
redd_area = 14.1
adult_per_redd = 1.9

# Rearing ----------------------------------------------------------------------
density <- tribble(~Habitat, ~summer, ~summer.2,
                   "Bank", 12700, 12700,
                   "HM_Bank", 6400, 6400,
                   "Bar_boulder", 0, 0,
                   "Bar_gravel", 6400, 6400,
                   "Bar_sand", 3200, 3200,
                   "Backwater", 19100, 19100,
                   "Pool", 500, 500,
                   "Riffle", 200, 200,
                   "Beaver.Pond", 500, 500,
                   "Pool_low_ag", 500, 500,
                   "FP_Channel", 376, 376,
                   "Lake", 0, 0,
                   "Marsh", 0, 0,
                   "FP_Pond_lg", 500, 500,
                   "FP_Pond_sm", 500, 500,
                   "SC_pool", 500, 500,
                   "SC_riffle", 200, 200,
                   "Slough_lg", 500, 500,
                   "Slough_sm", 500, 500,
                   "Bank_center", 38, 38,
                   "HM_Bank_center", 38, 38,
                   "Bar_boulder_center", 38, 38,
                   "Bar_gravel_center", 38, 38,
                   "Bar_sand_center", 38, 38) %>%
  pivot_longer(cols = summer:summer.2,
               names_to = 'life.stage',
               values_to = 'density')

# Spawning ---------------------------------------------------------------------
surv_summer <- tribble(~Habitat, ~surv_base, ~wood_surv_base,
                       "Bank", .26, .26,
                       "HM_Bank", .26, .26,
                       "Bar_boulder", .26, .26,
                       "Bar_gravel", .26, .26,
                       "Bar_sand", .26, .26,
                       "Backwater", .26, .26,
                       "Pool", .26, .43,
                       "Riffle", .26, .43,
                       "Beaver.Pond", .5, .5,
                       "FP_Channel", .5, .5,
                       "Lake", .5, .5,
                       "Marsh", .5, .5,
                       "FP_Pond_lg", .5, .5,
                       "FP_Pond_sm", .5, .5,
                       "SC_pool", .26, .43,
                       "SC_riffle", .26, .43,
                       "Slough_lg", .5, .5,
                       "Slough_sm", .5, .5,
                       "Bank_center", .26, .26,
                       "HM_Bank_center", .26, .26,
                       "Bar_boulder_center", .26, .26,
                       "Bar_gravel_center", .26, .26,
                       "Bar_sand_center", .26, .26) %>%
  mutate(life.stage = 'summer')

surv_summer_2 <- tribble(~Habitat, ~surv_base, ~wood_surv_base,
                         "Bank", .26, .26,
                         "HM_Bank", .26, .26,
                         "Bar_boulder", .26, .26,
                         "Bar_gravel", .26, .26,
                         "Bar_sand", .26, .26,
                         "Backwater", .26, .26,
                         "Pool", .26, .43,
                         "Riffle", .26, .43,
                         "Beaver.Pond", .5, .5,
                         "FP_Channel", .5, .5,
                         "Lake", .5, .5,
                         "Marsh", .5, .5,
                         "FP_Pond_lg", .5, .5,
                         "FP_Pond_sm", .5, .5,
                         "SC_pool", .26, .43,
                         "SC_riffle", .26, .43,
                         "Slough_lg", .5, .5,
                         "Slough_sm", .5, .5,
                         "Bank_center", .26, .26,
                         "HM_Bank_center", .26, .26,
                         "Bar_boulder_center", .26, .26,
                         "Bar_gravel_center", .26, .26,
                         "Bar_sand_center", .26, .26) %>%
  mutate(life.stage = 'summer.2')

survival <- bind_rows(surv_summer, surv_summer_2)

# Wood multipliers for large river ---------------------------------------------
# Summer
lr_wd_s_bank <- 1.16
lr_wd_s_bar <- 1.03

# Winter
lr_wd_w_bank <- -9999
lr_wd_w_bar <- -9999

# Chinook multiplier -----------------------------------------------------------
# Scalar used where spring and fall chinook overlap in habitat use
# chino_mult <- .19



params_hab_spring_chinook <- dplyr::lst(fecundity,
                                        redd_area,
                                        adult_per_redd,
                                        density,
                                        survival,
                                        lr_wd_s_bank,
                                        lr_wd_s_bar,
                                        lr_wd_w_bank,
                                        lr_wd_w_bar)

