# Create "barriers_df", input to harp that holds barrier related information -
# Restoration passage is always 1 in cases where flowline has been pre-clipped
# to barrier-free extent. Otherwise, the commented code can be used to create
# separate restoration


# fl_culvs <- flowline_raw %>%
#   select(noaaid, culv_list) %>%
#   #filter(culv_list != " ") %>%
#   separate_rows(culv_list, sep = ",") %>%
#   left_join(culvs) %>%
#   group_by(noaaid) %>%
#   summarize(
#     pass_tot = prod(FishPass),
#     pass_tot_natural = prod(ifelse(FeatureTyp == "Natural", FishPass, 1))
#   ) %>%
#   ungroup() %>%
#   right_join(flowline_raw %>%
#     select(-pass_tot)) %>%
#   replace_na(list(
#     pass_tot = 1,
#     pass_tot_natural = 1
#   )) %>%
#   ungroup()

barriers_df <- scenarios_df %>%
  left_join(flowline_raw, by = "noaaid") %>%
  mutate(pass_tot_scenario = ifelse(
    barrier_intensity_scalar == 1, # only full barrier removal is supported!
    1, # full passage in barrier removal scenario
    pass_tot
  )) %>%
  select(noaaid, pass_tot_scenario, scenario)
