# # This script calculates the percent chinook multipliers for spring and fall
# # chinook using escapement data from wdfw
#
# library(tidyverse)
#
# # Calculate escapement by subbasin for spring and fall chinook
# # tag: ReplaceData
# chinook_mult <- read.csv('data-raw/data_hab/wdfw_observed_by_trib/WDFW_escapement_by_trib.csv') %>%
#   gather(era, spawners, X1991:X2013) %>%
#   left_join(read.csv('data-raw/data_hab/wdfw_observed_by_trib/WDFW_reach_name_conversion.csv')) %>%
#   rename(natal.basin = NOAA_Reach,
#          pop = species) %>%
#   mutate(source = 'wdfw',
#          era = sub('X','',era),
#          natal.basin = ifelse(natal.basin %in% c("", NA),
#                               as.character(WDFW_Reach),
#                               as.character(natal.basin))) %>%
#   group_by(natal.basin, pop) %>%
#   summarize(spawners = median(spawners, na.rm = T)) %>%
#   spread(pop, spawners)
#
# chinook_mult[is.na(chinook_mult)] <- 0
#
# # Calculate chinook multiplier as percent spring/percent fall of total
# # chinook population
# chinook_mult <- chinook_mult %>%
#   mutate(perc_spr = spring_chinook / (fall_chinook + spring_chinook),
#          perc_fall = fall_chinook / (fall_chinook + spring_chinook))
#
# # For subbasins with no wdfw escapement data use the average of those
# # subbasins that do have escapement data.
# wdfw_mean <- chinook_mult %>%
#   filter(perc_spr > 0 & perc_fall > 0) %>%
#   ungroup() %>%
#   summarize(mean_spr = mean(perc_spr, na.rm = T),
#             mean_fall = mean(perc_fall, na.rm = T))
#
#
# # Assign final spring/fall breakdown
#
#
# chinook_mult <- chinook_mult %>%
#   mutate(
#     perc_spr = case_when(
#       perc_spr > 0 & perc_spr < 1 ~ perc_spr,
#       TRUE ~ wdfw_mean$mean_spr),
#     perc_fall = case_when(
#       perc_fall > 0 & perc_fall < 1 ~ perc_fall,
#       TRUE ~ wdfw_mean$mean_fall),
#     subbasin = natal.basin) %>%
#   full_join(subbasin_names) %>%
#   filter(!is.na(subbasin_num)) %>%
#   mutate(
#     perc_spr = case_when(
#       is.na(perc_spr) & subbasin_num %in% mainstem_subs ~ 0.19,
#       !is.na(perc_spr) ~ perc_spr,
#       TRUE ~ wdfw_mean$mean_spr),
#     perc_fall = case_when(
#       is.na(perc_fall) & subbasin_num %in% mainstem_subs ~ 0.81,
#       !is.na(perc_fall) ~ perc_fall,
#       TRUE ~ wdfw_mean$mean_fall)) %>%
#   ungroup() %>%
#   select(perc_spr, perc_fall, subbasin_num)
#
#
#
# usethis::use_data(chinook_mult, overwrite = TRUE)
