# Life stages for hab-calc-capacity
# seasonal habitats are expanded into lifestages based on this table

ls_capacity <- tribble(
  ~pop,                ~life.stage, ~life.stage2,
  "coho",              "summer",    "summer",
  "coho",              "winter",    "winter",
  "fall_chinook",      "summer",    "summer",
  "fall_chinook",      "summer",    "summer.t",
  "fall_chinook",      "summer",    "summer.2",
  "fall_chinook",      "winter",    "winter",
  "winter_steelhead",  "summer",    "summer",
  "winter_steelhead",  "summer",    "summer.2",
  "winter_steelhead",  "winter",    "winter",
  "winter_steelhead",  "winter",    "winter.2",
  "summer_steelhead",  "summer",    "summer",
  "summer_steelhead",  "summer",    "summer.2",
  "summer_steelhead",  "winter",    "winter",
  "summer_steelhead",  "winter",    "winter.2",
)

# Life stage table formerly in hab-organize

life.stage <- c(
  "egg.to.fry.survival",
  "adults.capacity",
  "eggs.capacity",
  "prespawn.survival",
  "summer.capacity",
  "summer.survival",
  "summer.t.capacity",
  "summer.t.survival",
  "winter.capacity",
  "winter.survival",
  "winter.movement",
  "summer.2.capacity",
  "summer.2.survival",
  "winter.2.capacity",
  "winter.2.survival",
  'fry.colonization.capacity',
  'fry.colonization.survival',
  'delta.capacity'
)

stage_nm <- c(
  "eggtofry_surv",
  "adults",
  "eggs",
  "prespawn_surv",
  "capacity_s",
  "surv_s",
  "capacity_s_t",
  "surv_s_t",
  "capacity_w",
  "surv_w",
  "movement",
  "capacity_s_2",
  "surv_s_2",
  "capacity_w_2",
  "surv_w_2",
  'fry_colonization_cap',
  'fry_colonization_surv',
  'capacity_delta'
)
stage_nums <- 1:length(stage_nm)
ls_names <- data.frame(life.stage, stage_nm, stage_nums)
