devtools::load_all()

LR_area_fl <- harp::flowline_clean %>%
  filter(Habitat == "LgStream") %>%
  left_join(harp::width_df, by = "noaaid") %>%
  #distinct(noaaid, .keep_all = T) %>%
  mutate(
    total_area_s = width_s * length * (!pond_overlap) * rear,
    total_area_w = width_w * length * (!pond_overlap) * rear) %>%
  group_by(pop) %>%
  summarize(
    summer = m2_to_ha(sum(total_area_s)),
    winter = m2_to_ha(sum(total_area_w))) %>%
  pivot_longer(
    cols = c(summer, winter),
    names_to = "life.stage",
    values_to = "fl_area_ha")

LR_area_model <- map_dfr(
  harp:::pops_all,
  ~hab_run_diagnostic(.x, return_df = "df_lr_area") %>%
    mutate(pop = .x)) %>%
  group_by(pop, life.stage) %>%
  summarize(model_area_ha = sum(Area))

left_join(LR_area_fl, LR_area_model) %>%
  mutate(
    perc_diff = scales::percent_format(0.1)(
      (model_area_ha - fl_area_ha)/fl_area_ha)) %>%
  write.csv("ignore/LR_area_comparison_STL.csv", row.names = FALSE)
