chin_wb <- hab_run("fall_chinook", "Current", "curr", pass_mort = T) %>%
  lcm_assign() %>%
  mutate(type = "wb") %>%
  select(subbasin_num, pop, noaa_subba, S_up, type)
chin_nb <- hab_run("fall_chinook", "Current", "curr", pass_mort = F) %>%
  lcm_assign() %>%
  mutate(type = "nb") %>%
  select(subbasin_num, pop, noaa_subba, S_up, type)

chin_both <- bind_rows(chin_wb, chin_nb) %>%
  pivot_wider(names_from = "type", values_from = "S_up") %>%
  mutate(ratio = wb/nb)

chin_wb_n <- hab_run("fall_chinook", "Current", "curr", pass_mort = T) %>%
  lcm_assign() %>%
  lcm_run() %>%
  filter(year == 100) %>%
  mutate(type = "wb")
chin_nb_n <- hab_run("fall_chinook", "Current", "curr", pass_mort = F) %>%
  lcm_assign() %>%
  lcm_run() %>%
  filter(year == 100) %>%
  mutate(type = "nb")

chin_both_n <- bind_rows(chin_wb_n, chin_nb_n) %>%
  pivot_wider(names_from = "type", values_from = "n") %>%
  mutate(ratio = wb/nb)

coho_wb <- hab_run("coho", "Current", "curr", pass_mort = T) %>%
  lcm_assign() %>%
  mutate(type = "wb") %>%
  select(subbasin_num, pop, noaa_subba, S_up, type)
coho_nb <- hab_run("coho", "Current", "curr", pass_mort = F) %>%
  lcm_assign() %>%
  mutate(type = "nb") %>%
  select(subbasin_num, pop, noaa_subba, S_up, type)

coho_both <- bind_rows(coho_wb, coho_nb) %>%
  pivot_wider(names_from = "type", values_from = "S_up") %>%
  mutate(ratio = wb/nb)

coho_wb_n <- hab_run("coho", "Current", "curr", pass_mort = T) %>%
  lcm_assign() %>%
  mutate(redist = 0, percent_fry_migrants = 0) %>%
  lcm_run() %>%
  filter(year == 100) %>%
  mutate(type = "wb")
coho_nb_n <- hab_run("coho", "Current", "curr", pass_mort = F) %>%
  lcm_assign() %>%
  mutate(redist = 0, percent_fry_migrants = 0) %>%
  lcm_run() %>%
  filter(year == 100) %>%
  mutate(type = "nb")

coho_both_n <- bind_rows(coho_wb_n, coho_nb_n) %>%
  pivot_wider(names_from = "type", values_from = "n") %>%
  mutate(ratio = wb/nb)

steel_wb <-
  lcm_assign_steelhead(
    hab_run("winter_steelhead", "Current", "curr", pass_mort = T),
    hab_run("summer_steelhead", "Current", "curr", pass_mort = T)) %>%
  mutate(type = "wb") %>%
  select(subbasin_num, pop, noaa_subba, S_up_w, S_up_s, type)
steel_nb <-
  lcm_assign_steelhead(
    hab_run("winter_steelhead", "Current", "curr", pass_mort = F),
    hab_run("summer_steelhead", "Current", "curr", pass_mort = F)) %>%
  mutate(type = "nb") %>%
  select(subbasin_num, pop, noaa_subba, S_up_w, S_up_s, type)

steel_both <- bind_rows(steel_wb, steel_nb) %>%
  pivot_wider(names_from = "type", values_from = c("S_up_w", "S_up_s")) %>%
  mutate(ratio_w = S_up_w_wb/S_up_w_nb, ratio_s = S_up_s_wb/S_up_s_nb)
