# export beaver potential tables

devtools::load_all()
library(dplyr)

flowline_clean %>%
  calc_BIP(slope, BF_width, fpw) %>%
  mutate(BIP = beav_hab) %>%
  calc_pollock(slope, Area_km2) %>%
  mutate(SP = beav_hab) %>%
  select(noaaid, Habitat, BIP, SP) %>%
  distinct() %>%
  mutate(
    basin = "Stillaguamish",
    category = case_when(
      Habitat == "Tidal" ~ "Tidal",
      BIP & SP ~ "Both",
      BIP ~ "IP only",
      SP ~ "SP only",
      TRUE ~ "Not Suitable"
    )
  ) %>%
  write.csv("ignore/beaver_potential_STL.csv", row.names = F)
