# run hab_model with and without prespawn partial barrier mortality
devtools::load_all()

hab_all <- expand_grid( # chinook and coho
  pop = c("coho", "fall_chinook", "winter_steelhead", "summer_steelhead"),
  scenario = "Current",
  era = "curr",
  pass_mort = c(TRUE, FALSE)
) %>%
  pmap_dfr(function(pop, scenario, era, pass_mort){
    hab_run(pop, scenario, era, pass_mort = pass_mort) %>%
      mutate(pass_mort = pass_mort)
  })

saveRDS(hab_all, "~/lcm_outputs/STL_hab_partial_barriers.RDS")
