# run LCM with and without prespawn partial barrier mortality

devtools::load_all()

lcm_cc <- expand_grid( # chinook and coho
  pop = c("coho", "fall_chinook"),
  scenario = "Current",
  era = "curr",
  pass_mort = c(TRUE, FALSE)
) %>%
  pmap_dfr(function(pop, scenario, era, pass_mort){
    hab_run(pop, scenario, era, pass_mort = pass_mort) %>%
      lcm_assign() %>%
      lcm_run("all") %>%
      mutate(pass_mort = pass_mort)
  })

lcm_steelhead <- bind_rows( # run steelhead individually
  lcm_assign_steelhead(
    hab_run("winter_steelhead", "Current", "curr"),
    hab_run("summer_steelhead", "Current", "curr"))%>%
    lcm_run("all") %>%
    mutate(pass_mort = TRUE),
  lcm_assign_steelhead(
    hab_run("winter_steelhead", "Current", "curr", pass_mort = FALSE),
    hab_run("summer_steelhead", "Current", "curr", pass_mort = FALSE))%>%
    lcm_run("all") %>%
    mutate(pass_mort = FALSE))

lcm_all <- bind_rows(lcm_cc, lcm_steelhead)

saveRDS(lcm_all, "~/lcm_outputs/STL_partial_barriers.RDS")
