% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/lcm-define.R
\name{distrib_fish}
\alias{distrib_fish}
\title{Distribute fish between basins}
\usage{
distrib_fish(n_in, move_mat, move_prcnt)
}
\arguments{
\item{n_in}{Either a vector of abundance or matrix output of this function}

\item{move_mat}{Matrix to control movement of fish in and out of basins.
origin basins are represented by matrix rows and destination basins are
represented by matrix columns. The matrix should have values at origin-
destination pairs where movement is allowed and 0s otherwise. Rows should
sum to 0 or 1.}

\item{move_prcnt}{What percent of fish will move to each destination basin.
When given as a vector, each vector element corresponds with an origin basin,
so a vector c(0.05, ....) would move 5% of the fish from the first origin
basin to each of its allowed output basin.}
}
\value{
A matrix of abundance with natal basin rows and rearing basin columns
}
\description{
Move fish from natal basin to rearing basin. The rules are set by \code{move_mat}.
Note there is currently no way to move fish from rearing basin to another rearing basin.
}
