% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/hab_run.R
\name{hab_run_internal}
\alias{hab_run_internal}
\title{Run the habitat model (internal)}
\usage{
hab_run_internal(
  run_pop,
  run_scenario,
  run_era,
  beaver_model,
  df_temperature,
  df_width,
  df_fl,
  pass_mort,
  return_df = "results"
)
}
\arguments{
\item{run_pop}{which pop to run}

\item{run_scenario}{which scenario to run.}

\item{run_era}{which era to run. The choices are hist, curr, mid, late.}

\item{df_temperature}{default is `harp::temperature_df`. Vary temps here}

\item{df_width}{default is `harp::width_df`. Vary widths here}

\item{df_fl}{all flowline reaches for the pop of interest}

\item{pass_mort}{should partial passage affect prespawn mortality?}

\item{return_df}{which data frame to return}
}
\description{
Internal habitat model. Use \code{hab_run()} or \code{hab_run_diagnostic()} to
access the habitat model
}
