% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/hab_run_stochastic.R
\name{hab_run_stochastic}
\alias{hab_run_stochastic}
\title{Run the habitat model with stochastic params}
\usage{
hab_run_stochastic(
  pop,
  hab_scenario,
  era,
  beav_model = "BIP",
  runs = 1,
  years = 1:100,
  print_status = FALSE
)
}
\arguments{
\item{pop}{which population to run}

\item{hab_scenario}{which scenario to run}

\item{era}{which era to run? curr, mid, late}

\item{runs}{How many runs/iterations? vector of values, e.g. 1:10}

\item{years}{How many years? Vector of values, e.g. 1:110 (default)}

\item{print_status}{Print model progress to console?}
}
\description{
Use the MARSS simulation to generate annual variation in
temperature, wetted width and peak flow. This function calculates those
annual variations and brings them into the habitat model.
}
\details{
Each param has a different way of being applied
q_low -- rearing capacity -- scalar * wetted width -- reach level
q_peak -- incubation -- scalar * egg_fry_surv -- on subbasin level params
t_peak -- rearing capacity and survival-- scalar + temperature -- reach level

Note the output is automatically run through lcm_assign().
}
